Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364642 - [abrt] ibus-libpinyin: pinyin_get_character_offset(): ibus-engine-libpinyin killed by SIGABRT
Summary: [abrt] ibus-libpinyin: pinyin_get_character_offset(): ibus-engine-libpinyin k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8e6835c48af7e32146fbcc55511...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-06 08:01 UTC by Chen_Min_Chin
Modified: 2016-08-27 10:46 UTC (History)
4 users (show)

Fixed In Version: ibus-libpinyin-1.7.92-2.fc24 ibus-libpinyin-1.7.92-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 23:23:34 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: cgroup (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: dso_list (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: environ (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: limits (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: maps (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: namespaces (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: open_fds (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details
File: var_log_messages (deleted)
2016-08-06 08:01 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2016-08-06 08:01:19 UTC
Version-Release number of selected component:
ibus-libpinyin-1.7.92-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: pinyin_get_character_offset
executable:     /usr/libexec/ibus-engine-libpinyin
global_pid:     2029
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 pinyin_get_character_offset at pinyin.cpp:2533
 #5 PY::BopomofoEditor::updatePreeditText at PYPBopomofoEditor.cc:332
 #6 PY::PhoneticEditor::update at PYPPhoneticEditor.cc:342
 #7 PY::BopomofoEditor::insert at PYPBopomofoEditor.cc:74
 #8 PY::BopomofoEditor::processBopomofo at PYPBopomofoEditor.cc:184
 #9 PY::BopomofoEditor::processKeyEvent at PYPBopomofoEditor.cc:206
 #10 PY::BopomofoEngine::processKeyEvent at PYPBopomofoEngine.cc:153
 #11 _ibus_marshal_BOOLEAN__UINT_UINT_UINT at ibusmarshalers.c:290
 #16 ibus_engine_service_method_call at ibusengine.c:883
 #17 call_in_idle_cb at gdbusconnection.c:4832

Comment 1 Chen_Min_Chin 2016-08-06 08:01:26 UTC
Created attachment 1188093 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2016-08-06 08:01:27 UTC
Created attachment 1188094 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2016-08-06 08:01:29 UTC
Created attachment 1188095 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2016-08-06 08:01:31 UTC
Created attachment 1188096 [details]
File: dso_list

Comment 5 Chen_Min_Chin 2016-08-06 08:01:32 UTC
Created attachment 1188097 [details]
File: environ

Comment 6 Chen_Min_Chin 2016-08-06 08:01:34 UTC
Created attachment 1188098 [details]
File: limits

Comment 7 Chen_Min_Chin 2016-08-06 08:01:38 UTC
Created attachment 1188099 [details]
File: maps

Comment 8 Chen_Min_Chin 2016-08-06 08:01:40 UTC
Created attachment 1188100 [details]
File: mountinfo

Comment 9 Chen_Min_Chin 2016-08-06 08:01:42 UTC
Created attachment 1188101 [details]
File: namespaces

Comment 10 Chen_Min_Chin 2016-08-06 08:01:43 UTC
Created attachment 1188102 [details]
File: open_fds

Comment 11 Chen_Min_Chin 2016-08-06 08:01:45 UTC
Created attachment 1188103 [details]
File: proc_pid_status

Comment 12 Chen_Min_Chin 2016-08-06 08:01:46 UTC
Created attachment 1188104 [details]
File: var_log_messages

Comment 13 Fedora Update System 2016-08-09 07:29:51 UTC
ibus-libpinyin-1.7.92-2.fc24 libpinyin-1.5.92-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cd5442e7a

Comment 14 Fedora Update System 2016-08-09 07:30:04 UTC
ibus-libpinyin-1.7.92-2.fc25 libpinyin-1.5.92-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-497437f92e

Comment 15 Fedora Update System 2016-08-09 15:25:23 UTC
ibus-libpinyin-1.7.92-2.fc24, libpinyin-1.5.92-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2cd5442e7a

Comment 16 Fedora Update System 2016-08-10 02:50:59 UTC
ibus-libpinyin-1.7.92-2.fc25, libpinyin-1.5.92-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-497437f92e

Comment 17 Fedora Update System 2016-08-10 23:23:28 UTC
ibus-libpinyin-1.7.92-2.fc24, libpinyin-1.5.92-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-08-27 10:46:14 UTC
ibus-libpinyin-1.7.92-2.fc25, libpinyin-1.5.92-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.